ATTENTION: An Animal Crossing Wiki from Miraheze will be at a new website at animalcrossing.indyamos.com. This will be an enhanced version of this wiki. Please view Special:Diff/57616 for more information.

MediaWiki:Timeless.css

From Animal Crossing Wiki
Revision as of 22:04, 12 August 2024 by Scoutfirehead123 (talk | contribs)
Jump to navigationJump to search

Note: After publishing, you may have to bypass your browser's cache to see the changes.

  • Firefox / Safari: Hold Shift while clicking Reload, or press either Ctrl-F5 or Ctrl-R (⌘-R on a Mac)
  • Google Chrome: Press Ctrl-Shift-R (⌘-Shift-R on a Mac)
  • Internet Explorer / Edge: Hold Ctrl while clicking Refresh, or press Ctrl-F5
  • Opera: Press Ctrl-F5.
/* All CSS here will be loaded for users of the Timeless skin */
/* Background */
body {
	background: var(--background-color, #FF8700);
	color: var(--text, #000000);
}

#mw-content-container {
	background: var(--background, url(http://indy.snowsherrill.com/images/5/51/Wiki-background.png));
	background-attachment: fixed;
	background-position: center center;
	background-size: cover;
}

/* Top nav */
#mw-header-container {
	background: var(--page-content-background, #FF9300);
	color: var(--text, #000);
}

#p-logo-text a {
	color: transparent !important;
}
	
#p-logo-text {
	background-image: var(--wordmark, url('http://indy.snowsherrill.com/images/d/d5/Wikibanner.png'));
	background-size: 141px auto;
	background-repeat: no-repeat;
	background-position: center center;
}

.color-left, .color-middle, .color-right {
	background: var(--primary-color, #FF8000);
}

#personal h2, #mw-site-navigation h2, #mw-related-navigation h2 {
	font-family: sans-serif;
}

#personal .dropdown, #simpleSearch, #mw-header-nav-hack {
	background: var(--page-content-background, #FF8000);
}

/* Sidebar */
#mw-site-navigation .sidebar-chunk, #mw-related-navigation .sidebar-chunk {
	border-radius: 2em;
	background: transparent;
}

#mw-site-navigation .sidebar-inner {
	background: var(--page-content-background, #FF8000);
	border-radius: 2em;
}

#mw-site-navigation .sidebar-chunk h3, #mw-related-navigation .sidebar-chunk h3 {
	font-weight: bold;
	font-size: 20px;
	color: var(--primary-color, #711520);
	border-bottom: solid 2px var(--primary-color, #FF8000);
}

#mw-site-navigation .sidebar-chunk ul, #mw-site-navigation .sidebar-chunk li, #mw-related-navigation .sidebar-chunk ul, #mw-related-navigation .sidebar-chunk li {
	list-style: inside;
}

/* Page content */
.mw-body h1.firstHeading {
	border-bottom: solid 4px var(--primary-color, #FF8000);
}

.mw-body h1, .mw-body h2, .mw-body h3, .mw-body h4, .mw-body h5, .mw-body h6, .mw-body dt {
	font-weight: bold;
	font-family: sans-serif;
	color: var(--primary-color, #FF8000);
}

#mw-content {
	border-bottom: none !important;
	background: var(--page-content-background, #FF8000);
}

#mw-content-container {
	border-bottom: solid 4px var(--primary-color, #FF8000);
}

/* Footer */
.mw-footer-container {
	background-color: var(--footer-color, #FF8000);
	color: var(--footer-text, #000);
}

.mw-footer-container a {
	color: var(--footer-link, #414d5e);
}

.mw-footer-container a:hover {
	color: var(--footer-link-hover, #535f6f);
}

.mw-footer-container a:visited {
	color: var(--footer-link-visited, #5c7fac);
}

.mw-footer-container a:visited:hover {
	color: var(--footer-link-visited-hover, #7791b5);
}

/* Move category to the bottom */
#catlinks-sidebar { 
	display: none;
}

#catlinks {
	display: inherit !important;
	border-top: 3px solid #cccccc;
	padding-bottom: 2em;
    margin: 0 2em;
    padding: 1em 0 1em;
}
#catlinks.catlinks-allhidden {
	border-top: 0;
}

#content-bottom-stuff {
	background-color: var(--page-content-background, #ffffff);
}

@media screen and (min-width: 1100px) {
	#content-bottom-stuff {
		border-bottom-left-radius: 10px;
		border-bottom-right-radius: 10px;
	}
}

/* Mobile/tablet adjustments */
@media screen and (max-width: 1099px) {
	.catlinks li {
		border-left: 1px solid #a2a9b1 !important;
	}
	.catlinks li:first-child {
		padding-left: 0.25em !important;
		border-left: 0 !important;
	}
}

@media screen and (min-width: 1100px) {
	#content-bottom-stuff {
		border: solid #FF8F00;
		border-top: none;
		border-width: 1px 1px 0.2em;
	}
	#mw-site-navigation .sidebar-chunk, #mw-related-navigation .sidebar-chunk {
		background: var(--page-content-background, #FF8F00);
	}
}

 @media screen and (max-width: 850px) {
 	#menus-cover {
 		background: var(--page-content-background, #FF8F00);
 	}
}